# 초기화하기

Wepin PIN Pad Library를 초기화하는 방법입니다.

## init

Wepin PIN Pad Library를 초기화 합니다.&#x20;

초기화 시 핀 패드 화면에 보여질 언어를 설정합니다.

```dart
await wepinPinPad.init(String? language)
```

### **Parameters**

* `language`: \<String> **optional**\
  핀 패드 화면의 기본 언어 설정, 기본 값은 `'en'` 입니다. 현재 지원하는 언어는 `'ko'`, `'en'` ,`'ja'`입니다.

### **Return value**

* `Future`\<void>

### Example

```dart
await wepinPinPad.init('ko')
```

## isInitialized

Wepin PIN Pad Library가 정상적으로 초기화 되었는지 확인할 수 있습니다.&#x20;

```dart
wepinPinPad.isInitialized()
```

### **Parameters**

* `<void>`

### **Return Value**

* `<bool>`\
  초기화가 정상적으로 잘 된 경우 **true** , 실패한 경우 **false** 를 반환합니다.

### **Example**

```dart
if(wepinPinPad.isInitialized()) {
  print('wepinPin is initialized!')
}
```

## changeLanguage

```dart
wepinPinPad.changeLanguage(String language)
```

핀 패드 화면에 표시되는 언어를 변경합니다. 현재 `'ko'`, `'en'`, `'ja'`만 지원됩니다. <br>

**Parameters**

* &#x20;`language` \<String>

### **Return value**

* `<void>`

### Example

```dart
wepinPinPad.changeLanguage('ko')
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wepin.io/widget-integration/flutter-sdk/pin-pad-library/init.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
